org.apache.xml.serializer

## Class Method

- java.lang.Object
- - org.apache.xml.serializer.Method

-     public final class Method
      extends java.lang.Object

  This class defines the constants which are the names of the four default output methods.

  The default output methods defined are:

  - XML
  - TEXT
  - HTML
  These constants can be used as an argument to the OutputPropertiesFactory.getDefaultMethodProperties() method to get the properties to create a serializer. This class is a public API.
  See Also:
    `OutputPropertiesFactory`, `Serializer`
  Usage:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTML` The output method type for HTML documents: `html`.
    `static java.lang.String` | `TEXT` The output method type for text documents: `text`.
    `static java.lang.String` | `UNKNOWN` The "internal" method, just used when no method is specified in the style sheet, and a serializer of this type wraps either an XML or HTML type (depending on the first tag in the output being html or not)
    `static java.lang.String` | `XHTML` The output method for XHTML documents: `xhtml`.
    `static java.lang.String` | `XML` The output method type for XML documents: `xml`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML

          public static final java.lang.String XML

      The output method type for XML documents: `xml`.
      See Also:
        Constant Field Values

    - #### HTML

          public static final java.lang.String HTML

      The output method type for HTML documents: `html`.
      See Also:
        Constant Field Values

    - #### XHTML

          public static final java.lang.String XHTML

      The output method for XHTML documents: `xhtml`.

      This method type is not currently supported.

      See Also:
        Constant Field Values

    - #### TEXT

          public static final java.lang.String TEXT

      The output method type for text documents: `text`.
      See Also:
        Constant Field Values

    - #### UNKNOWN

          public static final java.lang.String UNKNOWN

      The "internal" method, just used when no method is specified in the style sheet, and a serializer of this type wraps either an XML or HTML type (depending on the first tag in the output being html or not)
      See Also:
        Constant Field Values

Copyright © 2023 Apache XML Project. All Rights Reserved.